package com.bankaudit.rest.process.dao;

import java.util.List;

import com.bankaudit.dao.Dao;
import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.process.model.TaskDetails;

public interface TaskDetailsDao extends Dao{
	
	DataTableResponse  getAssessmentsWithAdviceClosure(int legalEntityCode,String userId, String search,Integer orderColumn,
			String orderDirection, Integer page, Integer size, Boolean isDeptAsRMD, List<String> unitList, List<String>deptList);
	
	DataTableResponse  getTaskListAssessmentWise(int legalEntityCode, String planId, String auditId,String userId, String search, Integer orderColumn,
			String orderDirection, Integer page, Integer size);
	
	public List<TaskDetails> getTaskDetails(Integer legalEntityCode, String auditId, String observationId, String recStatus);
	
	void deleteTaskDetailsById(Integer id);
	
	void deleteTaskDetailsByIdAndStatus(Integer legalEntityCode,String id,  String status);
	
	void deleteTaskDetailsByObservationId(String observationId);

}
